> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a scheduled action

GET https://api.contentful.com/spaces/{space_id}/scheduled_actions/{scheduled_action_id}

Returns a single scheduled action by ID.

Reference: https://contentful.com/developers/docs/references/content-management-api/scheduled-actions/get-a-scheduled-action

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `scheduled_action_id` (string, required) — ID of the scheduled action in form of a string

### Query parameters

- `environment.sys.id` (string, optional) — ID of the environment in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "action": "publish",
  "entity": {
    "sys": {
      "id": "5KsDBWseXY6QegucYAoacS",
      "linkType": "Entry",
      "type": "Link"
    }
  },
  "environment": {
    "sys": {
      "id": "staging",
      "linkType": "Environment",
      "type": "Link"
    }
  },
  "scheduledFor": {
    "datetime": "2022-01-01T12:00:00.000Z",
    "timezone": "Europe/Berlin"
  },
  "sys": {
    "createdAt": "2025-07-22T13:01:29.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "3A13SXSDwO8c46NrjigFYT",
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "type": "Link"
      }
    },
    "status": "scheduled",
    "type": "ScheduledAction",
    "updatedAt": "2025-07-22T13:01:29.000Z",
    "updatedBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 1
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getScheduledAction({
    scheduledActionId: '<scheduled_action_id>',
    environmentId: '<environment_id>'
}))
.then((scheduledAction) => console.log(scheduledAction))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

client.scheduledActions.get({
    spaceId: '<space_id>',
    scheduledActionId: '<scheduled_action_id>',
    environmentId: '<environment_id>'
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```